Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.impl.model.portal
Class TransientPortalObjectContainer

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.portal.jems.as.system.AbstractJBossService
                  org.jboss.portal.core.impl.model.portal.AbstractPortalObjectContainer
                      org.jboss.portal.core.impl.model.portal.TransientPortalObjectContainer

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, PortalObjectContainer, AuthorizationDomain, DomainConfigurator, PermissionFactory, PermissionRepository, org.jboss.system.Service, org.jboss.system.ServiceMBean

    public class TransientPortalObjectContainer

extends AbstractPortalObjectContainer

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Nested Class Summary

Nested classes/interfaces inherited from class org.jboss.portal.core.impl.model.portal.AbstractPortalObjectContainer
`AbstractPortalObjectContainer.ContainerContext`

Field Summary
`protected AbstractPortalObjectContainer.ContainerContext` | `ctx` .
`protected java.util.Map` | `roots` .

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`TransientPortalObjectContainer()`

Method Summary
`protected ContextImpl` | `createRoot(java.lang.String namespace)`
`protected void` | `createService()`
`protected ObjectNode` | `getObjectNode(PortalObjectId id)` Must be subclasses to provide the access to a node.

Methods inherited from class org.jboss.portal.core.impl.model.portal.AbstractPortalObjectContainer
`createContext, createPermission, createPermission, createPermissionContainer, getAuthorizationDomain, getConfigurator, getContentProviderRegistry, getContext, getContext, getObject, getPermission, getPermissionFactory, getPermissionRepository, getSecurityBindings, getType, removeSecurityBindings, setContentProviderRegistry, setSecurityBindings`

Methods inherited from class org.jboss.portal.jems.as.system.AbstractJBossService
`create, destroy, getState, getStateString, start, stop`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`destroyService, getDeploymentInfo, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, startService, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, nextNotificationSequenceNumber, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### roots

    protected java.util.Map roots

  .

### ctx

    protected AbstractPortalObjectContainer.ContainerContext ctx

  .

Constructor Detail

### TransientPortalObjectContainer

    public TransientPortalObjectContainer()

Method Detail

### createService

    protected void createService()
                          throws java.lang.Exception

  Overrides:
    `createService` in class `org.jboss.system.ServiceMBeanSupport`
  Throws:
    `java.lang.Exception`

### createRoot

    protected ContextImpl createRoot(java.lang.String namespace)
                              throws DuplicatePortalObjectException

  Specified by:
    `createRoot` in class `AbstractPortalObjectContainer`
  Throws:
    `DuplicatePortalObjectException`

### getObjectNode

    protected ObjectNode getObjectNode(PortalObjectId id)

  Description copied from class: `AbstractPortalObjectContainer`
  Must be subclasses to provide the access to a node.

  Specified by:
    `getObjectNode` in class `AbstractPortalObjectContainer`
  Parameters:
    `id` - the portal object path
  Returns:
    a node or null if not found

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD